Revoke the key that makes this request
POST
/v1/api_key/revoke
const url = 'https://api.learningaide.ai/v1/api_key/revoke';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.learningaide.ai/v1/api_key/revoke \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{}'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
Example generated
{}Responses
Section titled “Responses”The request succeeded.
Media typeapplication/json
object
object
required
string
revoked
required
boolean
Example
{ "object": "api_key", "revoked": true}Headers
Section titled “Headers”X-Request-Id
required
string
This request’s ID. Quote it when you contact support.
default
Section titled “default”An error (client docs, “Errors”).
Media typeapplication/json
Headers
Section titled “Headers”X-Request-Id
required
string
This request’s ID. Quote it when you contact support.
Retry-After
integer
Seconds to wait before asking again.